package ch.metas.soa.prototyping.jboss.marshalling.models;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "Book")
public class Book implements Serializable {

	private int m_id;
	private String m_name;
	private int m_year;
	private BookShelf m_bookShelf;

	@Id
	@Column(name = "Book_id")
	public int getId() {
		return m_id;
	}

	public void setId(int id) {
		m_id = id;
	}

	@Column(name = "name")
	public String getName() {
		return m_name;
	}
	public void setName(String name) {
		m_name = name;
	}

	@Column(name = "year")
	public int getYear() {
		return m_year;
	}
	public void setYear(int year) {
		m_year = year;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "BookShelf_id")
	public BookShelf getBookShelf() {
		return m_bookShelf;
	}

	public void setBookShelf(BookShelf bookShelf) {
		m_bookShelf = bookShelf;
	}
}
